use strict;
use warnings;
use 5.006001;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME                => 'UiO',
    AUTHOR              => 'UiO - USIT/SAPP/BSD <unix-drift@usit.uio.no>',
    VERSION_FROM        => 'lib/UiO/Host.pm',
    (eval { ExtUtils::MakeMaker->VERSION(6.21) } ? (LICENSE => 'perl') : ()),
    PREREQ_PM => {
        'Net::DNS'              => 0.59,
    },
    (! eval { ExtUtils::MakeMaker->VERSION(6.46) } ? () :
        (META_ADD => {
            resources => {
                homepage   => 'http://www.uio.no/',
            },
        })
    ),
    dist                => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean               => { FILES => 'Module-Release-*' },
);

#sub MY::postamble {
#    my $postamble = <<'MAKE_FRAG';
#.PHONY: tags critic
#
#tags:
#        ctags -f tags --recurse --totals \
#                --exclude=blib \
#                --exclude=.svn \
#                --exclude='*~' \
#                --languages=Perl --langmap=Perl:+.t \
#
#critic:
#        perlcritic -verbose "%f: [%p] %m at line %l, near '%r'.  (Severity: %s)\n" -q -profile perlcriticrc lib/
#MAKE_FRAG
#
#    return $postamble;
#}
